# Class DirectoryColumn

java.lang.Object
net.sf.statcvs.reportmodel.Column
net.sf.statcvs.reportmodel.GenericColumn
net.sf.statcvs.reportmodel.DirectoryColumn

public class DirectoryColumn extends GenericColumn
A table column containing directories

Version:
  $Id: DirectoryColumn.java,v 1.4 2008/04/02 11:22:14 benoitx Exp $
Author:
  Richard Cyganiak invalid input: '<'rcyg@gmx.de>

## Constructor Summary

Constructors
Constructor
Description
`DirectoryColumn()`
Creates a new directory column

## Method Summary

Modifier and Type
Method
Description
`void`
`renderCell(int rowIndex, TableCellRenderer renderer)`
Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(String)` methods

### Methods inherited from class GenericColumn

`addValue, getRows, getValue, renderHead, renderTotal, setTotal`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoryColumn

public DirectoryColumn()
Creates a new directory column

## Method Details

### renderCell

public void renderCell(int rowIndex, TableCellRenderer renderer)
Description copied from class: `Column`
Renders a row of the column into a `TableCellRenderer` by calling one of its `TableCellRenderer.renderCell(String)` methods

Specified by:
  `renderCell` in class `GenericColumn`
Parameters:
  `rowIndex` - the row number, starting at 0
  `renderer` - the TableCellRenderer to use
See Also:
  - `Column.renderCell(int, TableCellRenderer)`